
Foreman - Bug #21618

hostgroup parameter does not show up in the PXE template

11/09/2017 02:54 PM - A P

Status: New   

Priority: Normal   

Assignee:    

Category: Host groups   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.15.6

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Create a hostgroup with some parameter with at-least one with empty value. For e.g.,

Hostgroup name "Testing"

param1=Hello

param2=

PXE template that references host_param('param1') and host_param('param2')

Create host

Hostgroup = Testing

Parameters, override the one with empty value to contain some value param2 = SomeValue.

Submit

Generated PXE template does not contain the value of param2. However, YAML in the web UI shows correct values.

Related issues:

Related to Foreman - Bug #20062: Host parameter not rendered in user_data tem... New

History

#1 - 11/09/2017 02:57 PM - A P

- Category set to Host groups

- translation missing: en.field_release set to 240

#2 - 11/09/2017 02:59 PM - A P

This behavior exists on 1.15.4, 1.15.5,1.15.6,1.16.RC2

It works fine with 1.11 releases which is what we have in the production

#3 - 11/09/2017 03:42 PM - Marek Hulán

- translation missing: en.field_release deleted (240)

Without the patch, I don't think we can expect this in 1.16

#4 - 11/09/2017 03:49 PM - A P

Marek Hulán wrote:

Without the patch, I don't think we can expect this in 1.16

 So the last release it worked was on 1.11.3. I haven't tried in-between releases.

If someone suggests me where to look I can provide a patch.

#5 - 11/09/2017 04:44 PM - A P
Anand Patel wrote:

Create a hostgroup with some parameter with at-least one with empty value. For e.g.,

Hostgroup name "Testing"

param1=Hello

param2=

PXE template that references host_param('param1') and host_param('param2')

Create host

Hostgroup = Testing

Parameters, override the one with empty value to contain some value param2 = SomeValue.

Submit

Generated PXE template does not contain the value of param2. However, YAML in the web UI shows correct values.

 For some reason my original description eat newlines so I am re-writing it again.

Create a hostgroup with some parameter with at-least one with empty value. For e.g.,

Hostgroup name "Testing"

param1=Hello

param2=

PXE template that references host_param('param1') and host_param('param2')

1. Create host

2. Select Hostgroup = Testing

3. Click on Parameters Tab

4. override the one with empty value to contain some value param2 = SomeValue.

5. Click Submit

Generated PXE template does not contain the value of param2. However, YAML in the web UI shows correct values.

Now, go through following steps (work around) to generate correct PXE file.

1. Cancel Build

2. Build

Generated PXE file contains correct values.

Last known version that works correctly is 1.11.3.

Last known versions that it does not work are 1.15.6 and 1.16.RC2

#6 - 01/03/2018 02:27 PM - Ewoud Kohl van Wijngaarden

- Description updated

#7 - 04/27/2018 02:17 PM - Anthony Chevalet

- Related to Bug #20062: Host parameter not rendered in user_data template  added

#8 - 06/26/2018 10:02 AM - Tomer Brisker

- Priority changed from High to Normal

- Triaged set to Yes
